import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../pages/home.vue'


const routes = [
  {
    path: '/',
    redirect: '/home'
  },
  {
    path: '/home',
    name: 'Home',
    component: Home,
    // children: [
    //   {
    //     path: 'popup',
    //     name: 'Mypopup',
    //     component: () => import('../pages/Mypopup.vue')

    //   }

    // ]
    
  },
  {
    path: '/index',
    name: 'index',
    component: () => import('../pages/index.vue')
  },

]

const router = new VueRouter({
  routes,
  // mode:'history',
  
})
const originalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
Vue.use(VueRouter)
export default router